Votre smartphone Android est-il vulnérable ?

Smartphone

Par Gregori Pujol le

Suite à la faille de sécurité découverte cette semaine sur le Galaxy S3, de nombreux utilisateurs d’un smartphone sous Android se sont posé la question de savoir si celle-ci n’était pas présente sur d’autres modèles. Et c’est finalement le cas comme l’explique notre confrère Smartphone France, cette faille exploite « une fonctionnalité des smartphones à savoir la possibilité d’appeler automatiquement un numéro de téléphone à partir d’une page HTML, enfin plus précisément d’un code HTML, le fameux code USSD (Unstructured Supplementary Service Data) ».

Le site a donc mis en place une méthode simple pour voir si votre smartphone est vulnérable ou pas. Il suffit de se rendre sur cette page et si votre smartphone est vulnérable il devrait afficher le numéro IMEI de votre smartphone sans que vous ne lui ayez rien demandé.

Pour l’instant, voici la liste des smartphones testés :

HTC Desire (Android 2.3.7): VULNERABLE
HTC Desire HD (Android 2.3.5): VULNERABLE
HTC Explorer (Android 2.3.6): VULNERABLE
HTC Wildfire (Android 2.2.1): VULNERABLE
HTC Sensation (Android 4.0.3): VULNERABLE
HTC One S (Android 4.0.4): VULNERABLE
HTC One X (Android 4.0.4): VULNERABLE
Motorola Defy Mini (Android 2.3.6): VULNERABLE
Motorola Defy+ (Android 2.3.6): VULNERABLE
Motorola Razr XT910 (Android 4.0.4): pas vulnérable
Sony Ericsson Xperia Arc (Android 2.3.4): VULNERABLE
Sony Ericsson Xperia Kino (Android 2.3.4): VULNERABLE
Sony Ericsson Xperia Play (Android 2.3.4): VULNERABLE
Sony Ericsson Xperia X10i (Android 2.3.3): VULNERABLE
Sony Ericsson Xperia S (Android 4.0.4): VULNERABLE
Samsung Galaxy Ace (Android 2.3.5): VULNERABLE
Samsung Galaxy Pro (Android 2.2.2): VULNERABLE
Samsung Galaxy S2 (Android 4.0.3): VULNERABLE
Samsung Galaxy S2 (Android 4.0.4): pas vulnerable
Samsung Galaxy Note (Android 4.0.4): pas vulnérable
Samsung Nexus S (Android 4.1.1): pas vulnérable

LG Optimus 7 (WP 7.5): pas vulnérable
HTC Mozart 7 (WP 7.5): pas vulnerable
HTC Titan (WP 7.5): pas vulnerable
HTC Trophy (WP 7.5): pas vulnerable
Nokia Lumia 800 (WP 7.5): pas vulnerable
Samsung Omnia 7 (WP 7.5): pas vulnerable

HP Pre 3 (WebOS) : pas vulnerable

N’hésitez pas à nous dire si vous avez découvert un nouveau modèle concerné.

Update : il y aurait une application sur le Play Store patchant plus ou moins cette vulnérabilité, c’est Telstop. A tester…